org.gradle.api.publish.maven

## Interface MavenPomContributor

-     @Incubating
      public interface MavenPomContributor

  A contributor of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomContributorSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property<String>` | `getEmail()` The email
    `Property<String>` | `getName()` The name of this contributor.
    `Property<String>` | `getOrganization()` The organization name of this contributor.
    `Property<String>` | `getOrganizationUrl()` The organization's URL of this contributor.
    `Property<Map<String,String>>` | `getProperties()` The properties of this contributor.
    `SetProperty<String>` | `getRoles()` The roles of this contributor.
    `Property<String>` | `getTimezone()` The timezone of this contributor.
    `Property<String>` | `getUrl()` The URL of this contributor.

- - ### Method Detail

    - #### getName

          Property<String> getName()

      The name of this contributor.

    - #### getEmail

          Property<String> getEmail()

      The email

    - #### getUrl

          Property<String> getUrl()

      The URL of this contributor.

    - #### getOrganization

          Property<String> getOrganization()

      The organization name of this contributor.

    - #### getOrganizationUrl

          Property<String> getOrganizationUrl()

      The organization's URL of this contributor.

    - #### getRoles

          SetProperty<String> getRoles()

      The roles of this contributor.

    - #### getTimezone

          Property<String> getTimezone()

      The timezone of this contributor.

    - #### getProperties

          Property<Map<String,String>> getProperties()

      The properties of this contributor.